Bug 531330 - Should set printer-state-reason for missing required plugin
Summary: Should set printer-state-reason for missing required plugin
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 500480 531460 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-27 18:32 UTC by Rik van Riel
Modified: 2009-11-13 02:32 UTC (History)
3 users (show)

Fixed In Version: 3.9.8-18.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-13 02:32:26 UTC


Attachments (Terms of Use)
PPD file that works with HP LJ 1020 (17.63 KB, application/vnd.cups-ppd)
2009-10-28 14:00 UTC, Rik van Riel
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 462767 None None None Never

Description Rik van Riel 2009-10-27 18:32:08 UTC
Description of problem:

trying to print anything with an HP LaserJet 1020 in Fedora 12 beta results in the following error messages in /var/log/cups/error_log

D [23/Oct/2009:12:34:14 -0400] [Job 3] The following messages were recorded from 12:34:14 PM to 12:34:14 PM
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] Finishing.
D [23/Oct/2009:12:34:14 -0400] [Job 3] -dict-
D [23/Oct/2009:12:34:14 -0400] [Job 3] -dict-
D [23/Oct/2009:12:34:14 -0400] [Job 3] -dict-
D [23/Oct/2009:12:34:14 -0400] [Job 3] -dict-
D [23/Oct/2009:12:34:14 -0400] [Job 3] -mark-
D [23/Oct/2009:12:34:14 -0400] [Job 3] -dict-
D [23/Oct/2009:12:34:14 -0400] [Job 3] -mark-
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_matrix(0x12047d8, 0x7fffcc240f20)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->header.Duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->page = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD->flip_duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_matrix(0x12047d8, 0x7fffcc240f20)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->header.Duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->page = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD->flip_duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_matrix(0x12047d8, 0x7fffcc240f20)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->header.Duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->page = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD->flip_duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_matrix(0x12047d8, 0x7fffcc240f20)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->header.Duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->page = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD->flip_duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_matrix(0x12047d8, 0x7fffcc240f20)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->header.Duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->page = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD->flip_duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_matrix(0x12047d8, 0x7fffcc240f20)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->header.Duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->page = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD->flip_duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_matrix(0x12047d8, 0x7fffcc240f20)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->header.Duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->page = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD->flip_duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_matrix(0x12047d8, 0x7fffcc240f20)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->header.Duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->page = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD->flip_duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_matrix(0x12047d8, 0x7fffcc240f20)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->header.Duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->page = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD->flip_duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_matrix(0x12047d8, 0x7fffcc240f20)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->header.Duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->page = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD->flip_duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_matrix(0x12047d8, 0x7fffcc240f20)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->header.Duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->page = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD->flip_duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_matrix(0x12047d8, 0x7fffcc240f20)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->header.Duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->page = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD->flip_duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_matrix(0x12047d8, 0x7fffcc240f20)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->header.Duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->page = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD->flip_duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_params(0x12047d8, 0x7fffcc2416d0)
D [23/Oct/2009:12:34:14 -0400] [Job 3] before gdev_prn_get_params()
D [23/Oct/2009:12:34:14 -0400] [Job 3] after gdev_prn_get_params()
D [23/Oct/2009:12:34:14 -0400] [Job 3] Leaving cups_get_params()
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_print_pages(0x12047d8, 0x371ef7a780, 1)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsBitsPerPixel = 1, cupsWidth = 4800, cupsBytesPerLine = 600, srcbytes = 600
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsWidth = 4800, cupsHeight = 6342, cupsBytesPerLine = 600
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_print_chunked - flip = 0, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] Processing page 3...
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_get_matrix(0x12047d8, 0x7fffcc2416f0)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->header.Duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups->page = 3
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsPPD->flip_duplex = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612 792 ], HWResolution = [ 600 600 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] matrix = [ 8.333 0.000 0.000 -8.333 -150.000 6470.833 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] **** DSC comment: /Pages
D [23/Oct/2009:12:34:14 -0400] [Job 3] << /NumPages 2 /DSC_struct -dsc_data_struct- >>
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_put_params(0x12047d8, 0x7fffcc2416d0)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_set_color_info(0x12047d8)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsEncodeLUT[0] = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsEncodeLUT[65535] = 1
D [23/Oct/2009:12:34:14 -0400] [Job 3] num_components = 1, depth = 1
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsColorSpace = 3, cupsColorOrder = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsBitsPerPixel = 1, cupsBitsPerColor = 1
D [23/Oct/2009:12:34:14 -0400] [Job 3] max_gray = 1, dither_grays = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] max_color = 0, dither_colors = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] ppd = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612.000 792.000 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] margins = [ 0.000 0.000 -43014144.000 0.000 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWResolution = [ 600.000 600.000 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] **** DSC comment: /BoundingBox
D [23/Oct/2009:12:34:14 -0400] [Job 3] << /BoundingBox [0 0 612 792] /DSC_struct -dsc_data_struct- >>
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_put_params(0x12047d8, 0x7fffcc2416d0)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_set_color_info(0x12047d8)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsEncodeLUT[0] = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsEncodeLUT[65535] = 1
D [23/Oct/2009:12:34:14 -0400] [Job 3] num_components = 1, depth = 1
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsColorSpace = 3, cupsColorOrder = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsBitsPerPixel = 1, cupsBitsPerColor = 1
D [23/Oct/2009:12:34:14 -0400] [Job 3] max_gray = 1, dither_grays = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] max_color = 0, dither_colors = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] ppd = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612.000 792.000 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] margins = [ 0.000 0.000 -43014144.000 0.000 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWResolution = [ 600.000 600.000 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] **** DSC comment: /EOF
D [23/Oct/2009:12:34:14 -0400] [Job 3] << /DSC_struct -dsc_data_struct- >>
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_put_params(0x12047d8, 0x7fffcc2416d0)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_set_color_info(0x12047d8)
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsEncodeLUT[0] = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsEncodeLUT[65535] = 1
D [23/Oct/2009:12:34:14 -0400] [Job 3] num_components = 1, depth = 1
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsColorSpace = 3, cupsColorOrder = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] cupsBitsPerPixel = 1, cupsBitsPerColor = 1
D [23/Oct/2009:12:34:14 -0400] [Job 3] max_gray = 1, dither_grays = 2
D [23/Oct/2009:12:34:14 -0400] [Job 3] max_color = 0, dither_colors = 0
D [23/Oct/2009:12:34:14 -0400] [Job 3] ppd = 0x13d08f0
D [23/Oct/2009:12:34:14 -0400] [Job 3] PageSize = [ 612.000 792.000 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] margins = [ 0.000 0.000 -43014144.000 0.000 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWResolution = [ 600.000 600.000 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] width = 4800, height = 6342
D [23/Oct/2009:12:34:14 -0400] [Job 3] HWMargins = [ 18.000 15.500 18.000 15.500 ]
D [23/Oct/2009:12:34:14 -0400] [Job 3] cups_close(0x12047d8)
D [23/Oct/2009:12:34:14 -0400] [Job 3] Backend returned status 1 (failed)
D [23/Oct/2009:12:34:14 -0400] [Job 3] Printer stopped due to backend errors; please consult the error_log file for details.
D [23/Oct/2009:12:34:14 -0400] [Job 3] End of messages
D [23/Oct/2009:12:34:14 -0400] [Job 3] printer-state=5(stopped)
D [23/Oct/2009:12:34:14 -0400] [Job 3] printer-state-message="Processing page 3..."
D [23/Oct/2009:12:34:14 -0400] [Job 3] printer-state-reasons=paused

Version-Release number of selected component (if applicable):

hpijs-3.9.8-17.fc12.x86_64

Steps to Reproduce:
1. install F12 beta
2. plug a HP LaserJet 1020 printer into the USB port
3. make that printer the default in the gnome printer preferences settings, etc
4. try to print something
  
Additional info:

This printer seems to work in RHEL 5, so this could be a regression for RHEL 6.

Comment 1 Tim Waugh 2009-10-28 12:48:37 UTC
It works in RHEL 5 -- really?

The HP LaserJet 1020 requires the proprietary HPLIP "plug-in", and there is no other free software driver for the device that we can ship.

Can you please attach the PPD that works for you with RHEL5?

Comment 2 Rik van Riel 2009-10-28 14:00:15 UTC
Created attachment 366438 [details]
PPD file that works with HP LJ 1020

Comment 3 Rik van Riel 2009-10-28 14:02:14 UTC
Btw, I remember now that I did have to mess with things to make this printer work with RHEL 5.  However, in F12 it appears that either HAL or some other program in the configuration stack is pretending that the printer is supported, instead of simply telling me that I need to download some additional bits to make it work.

Comment 4 Tim Waugh 2009-10-28 14:11:45 UTC
OK, the provided PPD is using the foo2zjs driver (which perhaps you had installed) -- we are not able to ship that driver unfortunately.

The 'deception' comes from the way HPLIP deals with its proprietary plugin really.

It ought to at least set an appropriate printer-state-reason so that we can display a message explaining what's wrong.

Marking bug #531460 as a duplicate of this.

Comment 5 Tim Waugh 2009-10-28 14:12:15 UTC
*** Bug 531460 has been marked as a duplicate of this bug. ***

Comment 6 Fedora Update System 2009-10-29 02:54:59 UTC
hplip-3.9.8-16.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10759

Comment 7 Fedora Update System 2009-11-04 12:16:08 UTC
hplip-3.9.8-18.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10759

Comment 8 Tim Waugh 2009-11-09 13:19:39 UTC
*** Bug 500480 has been marked as a duplicate of this bug. ***

Comment 9 Fedora Update System 2009-11-13 02:32:04 UTC
hplip-3.9.8-18.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.